/* config format for CHCP Proxy */

typedef struct conf_rec
{
  char           *param;	/* name of parameter (regexp expression) */
  int             type;		/* type of parameter : 0 - boolean (no
				 * argument need) 1 - boolean with arg
				 * (argument on/off) 2 - string parameter (up
				 * to end of line) 3 - number parameter
				 * (decimal digits) */
  void          **addr;		/* address of address for parameter value */
  int             len;		/* len for string parameters if == 0, malloc
				 * need for value */
  void           *def;		/* default value */
}               conf_rec;

#define MAX_CONF_PARAM_NUM 64

#define E_SPACE "[ \\\t=:]+"
#define B_SPACE "^[ \\\t]*"
#define F_NO "([Nn][Oo])|([Oo][Ff][Ff])|([Ss][Uu][Xx]+)|(0)"
#define F_YES "([Yy][Ee][Ss])|([Oo][Nn])|([Rr][Uu][Ll][Ee][Zz]+)|(1)"
#define F_NUMBER "[-+0-9]*"
#define F_STRING "[!-~]*"
#define F_COMMENT "^[ \\\t]*((;)|(#)|([\\\r\\\n]*$))"
